%define upstream_name       Config-Augeas
%define upstream_version 0.903

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Edit configuration files through Augeas C library
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Module::Build) >= 0.340.201
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: augeas-devel
%description
Augeas is a library and command line tool that focuses on the most basic
problem in handling Linux configurations programmatically: editing actual
configuration files in a controlled manner.

To that end, Augeas exposes a tree of all configuration settings (well, all
the ones it knows about) and a simple local API for manipulating the tree.
Augeas then modifies underlying configuration files according to the
changes that have been made to the tree; it does as little modeling of
configurations as possible, and focuses exclusively on transforming the
tree-oriented syntax of its public API to the myriad syntaxes of individual
configuration files.

This module provides an object oriented Perl interface for Augeas
configuration edition library with a more "perlish" API than Augeas C
counterpart.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc ChangeLog META.yml README
%{perl_vendorarch}/Config
%{perl_vendorarch}/auto/Config
%{_mandir}/man3/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.903.0-2.mga3
+ Revision: 364592
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 0.903.0-1.mga3
+ Revision: 335933
- Update to 0.903 (fixes test with Augeas 0.10.0)

* Wed May 30 2012 jquelin <jquelin> 0.902.0-2.mga3
+ Revision: 250366
- rebuild for perl 5.16

* Sat Nov 05 2011 kharec <kharec> 0.902.0-1.mga2
+ Revision: 163797
- update to 0.902

* Wed Oct 12 2011 takashi <takashi> 0.802.0-3.mga2
+ Revision: 154057
- update to 0.802

* Sat Jun 11 2011 sander85 <sander85> 0.701.0-3.mga2
+ Revision: 103747
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.701.0-2.mga1
+ Revision: 29943
- mageia rebuild
- cleaning spec file
- imported package perl-Config-Augeas

